using System;
using System.Windows.Forms;

namespace SystemBrowser
{
  static class Program
  {
    /// <summary>The main entry point for the application.</summary>
    [STAThread]
    static void Main()
    {
      Application.EnableVisualStyles(); // enable XP and Vista GUI styles
      InitializeSystem();
      Application.Run(Builder.FormMain);
    }

    static void InitializeSystem()
    {
      Builder.Build();  // instantiate all the top-level classes
      Builder.Binder.Bind();  // wire all the top-level objects
    }
  }
}